import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export interface SeaportEIP1271Interface extends utils.Interface {
    functions: {
        "MAGICVALUE()": FunctionFragment;
        "getMessageHash(bytes32)": FunctionFragment;
        "isValidSignature(bytes32,bytes)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "MAGICVALUE" | "getMessageHash" | "isValidSignature"): FunctionFragment;
    encodeFunctionData(functionFragment: "MAGICVALUE", values?: undefined): string;
    encodeFunctionData(functionFragment: "getMessageHash", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "isValidSignature", values: [BytesLike, BytesLike]): string;
    decodeFunctionResult(functionFragment: "MAGICVALUE", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getMessageHash", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isValidSignature", data: BytesLike): Result;
    events: {};
}
export interface SeaportEIP1271 extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: SeaportEIP1271Interface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        MAGICVALUE(overrides?: CallOverrides): Promise<[string]>;
        getMessageHash(_hash: BytesLike, overrides?: CallOverrides): Promise<[string]>;
        isValidSignature(_message: BytesLike, _signature: BytesLike, overrides?: CallOverrides): Promise<[string] & {
            magicValue: string;
        }>;
    };
    MAGICVALUE(overrides?: CallOverrides): Promise<string>;
    getMessageHash(_hash: BytesLike, overrides?: CallOverrides): Promise<string>;
    isValidSignature(_message: BytesLike, _signature: BytesLike, overrides?: CallOverrides): Promise<string>;
    callStatic: {
        MAGICVALUE(overrides?: CallOverrides): Promise<string>;
        getMessageHash(_hash: BytesLike, overrides?: CallOverrides): Promise<string>;
        isValidSignature(_message: BytesLike, _signature: BytesLike, overrides?: CallOverrides): Promise<string>;
    };
    filters: {};
    estimateGas: {
        MAGICVALUE(overrides?: CallOverrides): Promise<BigNumber>;
        getMessageHash(_hash: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        isValidSignature(_message: BytesLike, _signature: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        MAGICVALUE(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getMessageHash(_hash: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isValidSignature(_message: BytesLike, _signature: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=SeaportEIP1271.d.ts.map