import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { ContractMetadataInit, ContractMetadataInitInterface } from "../ContractMetadataInit";
type ContractMetadataInitConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class ContractMetadataInit__factory extends ContractFactory {
    constructor(...args: ContractMetadataInitConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractMetadataInit>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): ContractMetadataInit;
    connect(signer: Signer): ContractMetadataInit__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50603f80601d6000396000f3fe6080604052600080fdfea2646970667358221220ac8c66363eafffa481e30a5676eae8ebce39f2f47619126ebc55bcd306d7419464736f6c63430008170033";
    static readonly abi: {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
    }[];
    static createInterface(): ContractMetadataInitInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ContractMetadataInit;
}
export {};
//# sourceMappingURL=ContractMetadataInit__factory.d.ts.map