import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { OwnableInit, OwnableInitInterface } from "../OwnableInit";
type OwnableInitConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class OwnableInit__factory extends ContractFactory {
    constructor(...args: OwnableInitConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<OwnableInit>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): OwnableInit;
    connect(signer: Signer): OwnableInit__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50603f80601d6000396000f3fe6080604052600080fdfea26469706673582212209d724c337eeca64313df723a2f9cd20a504ca2f191c031f80cc4262ad8924c6e64736f6c63430008170033";
    static readonly abi: {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
    }[];
    static createInterface(): OwnableInitInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): OwnableInit;
}
export {};
//# sourceMappingURL=OwnableInit__factory.d.ts.map